From 2714d2c98f3b3bd35ab960486058b463e67243e7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 24 2020 02:17:45 +0000
Subject: [PATCH 1500/2232] Resolve modernize-use-override


https://github.com/dtolnay/cxx/issues/500

---

diff --git a/.clang-tidy b/.clang-tidy
index 6e18fc8..9962a64 100644
--- a/.clang-tidy
+++ b/.clang-tidy
@@ -13,6 +13,5 @@ Checks:
   -cppcoreguidelines-pro-type-reinterpret-cast,
   -cppcoreguidelines-special-member-functions,
   -modernize-use-default-member-init,
-  -modernize-use-override,
   -modernize-use-trailing-return-type,
 HeaderFilterRegex: cxx\.h
diff --git a/include/cxx.h b/include/cxx.h
index f87d333..8122786 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -250,7 +250,7 @@ class Error final : public std::exception {
 public:
   Error(const Error &);
   Error(Error &&) noexcept;
-  ~Error() noexcept;
+  ~Error() noexcept override;
 
   Error &operator=(const Error &);
   Error &operator=(Error &&) noexcept;

